//1,"ZUS_Z3_BS.sc","Zawiadczenie patnika skadek ZUS Z-3 BONSOFT","ZUS",0,1.0.2,SYSTEM

// wersja 2010.1.1b

#define OK 2
#define ANULUJ -1

#define UMOWA_O_PRACE  8489
#define WYMIAR_CZASU_PRACY 8490
#define DATA_ZAKONCZENIA 8513

#define OKRESY_UBEZPIECZENIA 14765
#define POCZATEK_OKRESU 14650
#define KONIEC_OKRESU 14648

#define OKRESY_UBEZPIECZENIA_SPOL 14813

#define CHOROBA_SZCZEGOLNA 14766
#define TYP_CHOROBY_SZCZEGOLNEJ 14767
#define RODZAJ_DOKUMENTU 14768
#define SERIA_NUMER 8310
#define DATA_DOKUMENTU 8418

#define ZASILEK_W_OKRESIE_SZCZEGOLNYM 14769
#define RODZAJ_OKRESU_SZCZEGOLNEGO 14770
#define DATA_OD_OKRESU_SZCZEGOLNEGO 14650
#define DATA_DO_OKRESU_SZCZEGOLNEGO 14648

#define ROZLICZENIE_ZASILKU 14320
#define KOD_RSA 14309
#define DNI_CIAGLEGO_ZASILKU 14325
#define KOD_CHOROBY 14308
#define TYTUL_ZASILKU 14305
#define DATA_PODSTAW_ZASILKU	14783

#define ZASWIADCZENIE_LEKARSKIE 14771
#define SERIA 14810
#define NUMER 14809
#define WPLYNELO_W_DNIU 8501

#define LICZBA_UBEZPIECZONYCH 14772

#define PODSTAWY_DO_CHOROBOWEGO 14123
#define DATA_PODSTAWY 14112
#define LICZBA_DNI_ROBOCZYCH 14114
#define LICZBA_DNI_NIEOBECN 14113
#define LICZBA_DNI_NIEOBECN_NN 14941
#define WYN_STALE 14775
#define WYN_ZMIENNE_POM 14116
#define WYN_ZMIENNE_NIEPOM 14115
#define WCHODZ_DO_SR_CHOROB 14122

#define PODST_WYN_KWART 14416
#define KWOTA_WYN_KWART 14417
#define LICZBA_MIES_WYN_KWART 14412

#define PODST_WYN_ROK 14415
#define KWOTA_WYN_ROK 14417

#define PODST_WYN_TRZY 14413
#define KWOTA_WYN_TRZY 14417

#define POMNIEJSZONO_O_WARTOSC 14823
#define POMNIEJSZONO_O_WARTOSC_SKL_OKRESOWE 14824

#define PROC_POM 14737
#define LICZBA_DNI_ROBOCZYCH_1 14782
#define LICZBA_DNI_NIEOBECN_1 14789

#define FIRMA_UPRAWNIONA 13682

#define UM_ZLEC 13562
#define UM_DZIEL 13564
#define UM_PR_AUT 8499
#define KWOTA_UM 31913
#define DATA_ROZP 8325
#define DATA_ZAKO 8326
#define ROZLICZENIE 31904

#define NIEOB_CAL_NIEP 28
#define ZASILKI 2
#define GENEROWANIE_PODSTAW 2879

#define ZESTAW_ZUS_Z_3 9997

#define ZGLOSZENIE_UBEZP	13356
#define LICZBA_ZGLOSZENIE	14773
//#include "rap_prac.sci"
#include "pdfparam.sci"
#include "strings.sci"
#include "funprac.sci"
#include "funkad.sci"
#include "funzdarz.sci"
#include "datyumowy.sci"
int iWprowadzanieDanych, iPouczenie, iadrestym
InfoPrac prac
dispatch ed1
dispatch ed2
dispatch ed3

string sData = Data()
date dt_rap
date dt_poc
date dt_1_zas_lek
dt_1_zas_lek.FromStr(sData)
dt_1_zas_lek.Day = 1
date dt_2_zas_lek
dt_2_zas_lek.FromStr(sData)
dt_2_zas_lek.SetLastDayOfMonth()
dt_poc.Set(1900,1,1)

int sub OnCommand(int id,int msg)
	if id == 0 && msg == 0  then
	   ed1.text = sData
	   ed2.text = dt_1_zas_lek.ToStr()
	   ed3.text = dt_2_zas_lek.ToStr()
	endif
	if ed1.Changed != 0 then
	   sData = ed1.text
	endif
	if ed2.Changed != 0 then
	   dt_1_zas_lek.FromStr(ed2.text)
	endif
	if ed3.Changed != 0 then
	   dt_2_zas_lek.FromStr(ed3.text)
	endif
endsub

int sub Dialog()
	Form "Zawiadczenie patnika skadek ZUS Z-3",300,230
		Text "Data wykonania", 10, 30, 80, 20
		control "datedit", ed1,100, 30, 80, 20
		Text "Okres pobierania informacji o zawiadczeniu lekarskim",10,50,280,20
		Text "od",10,70,40,20
		control "datedit", ed2,50,70,80,20
		Text "do",140,70,40,20
		control "datedit", ed3,180,70,80,20
		ChkBox "Wprowadzanie danych", iWprowadzanieDanych, 30, 100, 200, 20
		ChkBox "Drukuj pouczenie", iPouczenie, 30, 120, 200, 20
		ChkBox "Drukuj adres tymczasowy", iadrestym, 30, 140, 200, 20
		Button "&OK",10,170,80,25,OK
		Button "&Anuluj",100,170,80,25,ANULUJ
	if ExecForm(OnCommand) == ANULUJ then error ""
	dt_rap.FromStr(sData)
endsub

//BLOK Przygotowanie wydruku fontw i tabel
str.wydruk(0,-1,0)

int marg = 100
Strona marg,150,marg,200

#include "fonty.sci"

int iKolNT(25)
int iStNT(25)
int iKolT(5) = 200,150,300,500,350
int iStT(5)
int iKolNPT(22)
int iStNPT(22)
int i,j

int tekstnorm1 = Font(30,"Times New Roman CE")
iPar(3) = 1
int tekstunderbold = Font( 40,iPar,"Arial CE")
iPar(3) = 0
int tekstbold = Font( 50,iPar,"Arial CE")
for i = 1 to i> 5
	iPar(i) = 0
next i
iPar(4) = 1
int tekststrike = Font(30, iPar, "Times New Roman CE")
iPar(4) = 0
int tekstindex = Font(20,"Times New Roman CE")
iPar(1) = 1
int tekstbold1 = Font(30,iPar,"Times New Roman CE")
iPar(1) = 0


int stlNormalCentered = styl( tekstnorm, 0 )
int stlNormalCentered1 = styl( tekstnorm1, 0 )
int stlUnderBoldCentered = styl(tekstunderbold, 0)
int stlSmallCentered = styl( tekstsmall, 0)
int stlNormalLeft = styl( tekstnorm1, -1 )
int stlBoldCentered = styl(tekstnormG, 0)
int stlBoldCentered1 = styl(tekstbold1, 0)
int stlBoldRight = styl(tekstnormG,1)
int szerRob = str.szer
int szerkol = szerRob/25
int szerkol2 = szerRob/22
for i = 1 to i > 25
	iStNT(i) = stlNormalCentered
	iKolNT(i) = szerkol
	if i <= 22 then
		iKolNPT(i) = szerkol2
		iStNPT(i) = stlNormalCentered
	endif
next i

for i = 1 to i > 5
	iStT(i) = stlSmallCentered
next i

int iOb = 0
int iOb1 = 1

int tblNagl1 = Tabela iOb,50, szerRob,stlBoldCentered
int tblNagl2 = Tabela iOb,10, szerRob,stlNormalLeft
int tblNagl3 = Tabela iOb,10, szerRob,stlSmallCentered

int tabPES_NIP_Nag = Tabela iOb,15,11*szerkol,stlNormalLeft,1*szerkol,stlNormalLeft,13*szerkol,stlNormalLeft
int tabNIP_REGON_Nag = Tabela iOb,15,10*szerkol,stlNormalLeft,1*szerkol,stlNormalLeft,14*szerkol,stlNormalLeft
int tblPES_NIP =Tabela 1,15, iKolNT,iStNT
int tblPES_NIP_PRAC = Tabela 1,15,iKolNPT,iStNPT
int tblPES_NIP_PRAC_Nag = Tabela iOb,15,12*szerkol2,stlNormalLeft,10*szerkol2,stlNormalLeft
int tblDowod_PRAC_Nag = Tabela iOb,15,22*szerkol2,stlNormalLeft
int tblTresc = Tabela iOb,15,szerkol2,stlBoldCentered1, 22*szerkol,stlNormalLeft
int tblTresc1 = Tabela iOb,15,szerkol2,stlBoldCentered1,5*szerkol2,stlNormalLeft
int tblTrescOkres = Tabela iOb, 5, szerkol2,stlNormalLeft,2*szerkol2,stlNormalLeft,5*szerkol2,stlNormalLeft,2*szerkol2,stlNormalLeft,5*szerkol2,stlNormalLeft,2*szerkol2,stlNormalLeft,5*szerkol2,stlNormalLeft
int tblTrescZaswiadczenia = Tabela iOb, 5, 2*szerkol2,stlNormalLeft, 4*szerkol2,stlNormalLeft, 5*szerkol2,stlNormalLeft, 5*szerkol2,stlNormalLeft

int tblWynMies1 = Tabela iOb1, 5, 1.5*szerkol2 ,stlNormalCentered1, szerkol, stlNormalCentered1
int tblWynMies2 = Tabela iOb1, 5, 4.5*szerkol2, stlNormalCentered1
int tblWynMies3 = Tabela iOb1, 5, 1.5*szerkol2, stlNormalCentered1, 3*szerkol2, stlNormalCentered1
int tblWynMies4 = Tabela iOb1, 5, 3*szerkol2, stlNormalCentered1, 3*szerkol2, stlNormalCentered1
int tblWynMies5 = Tabela iOb1, 5, 6*szerkol2, stlNormalCentered1
int tblWynMies6 = Tabela iOb1, 5, 2*szerkol2, stlNormalCentered1
int tblWynMies7 = Tabela iOb1, 5,  1.5*szerkol2 ,stlNormalCentered1, szerkol, stlNormalCentered1,1.5*szerkol2, stlNormalCentered1, 3*szerkol2, stlNormalCentered1,3*szerkol2, stlNormalCentered1, 3*szerkol2, stlNormalCentered1,3*szerkol2, stlNormalCentered1, 3*szerkol2, stlNormalCentered1,2*szerkol2, stlNormalCentered1

int tblWynKwart1 = Tabela iOb1, 5, 2*szerkol2, stlNormalCentered1, 3*szerkol2, stlNormalCentered1, 3*szerkol2, stlNormalCentered1
int tblWynKwart2 = Tabela iOb1, 5, 3*szerkol2, stlNormalCentered1, 3*szerkol2, stlNormalCentered1
int tblWynKwart3 = Tabela iOb1, 5, 2*szerkol2, stlNormalCentered1, 3*szerkol2, stlNormalCentered1, 3*szerkol2, stlNormalCentered1, 3*szerkol2, stlNormalCentered1, 3*szerkol2, stlNormalCentered1, 3*szerkol2, stlNormalCentered1, 3*szerkol2, stlNormalCentered1

int tblWynRok1 = Tabela iOb1, 5, szerkol2, stlNormalCentered1, 2*szerkol2, stlNormalCentered1
int tblWynRok2 = Tabela iOb1, 5, szerkol2, stlNormalCentered1, 2*szerkol2, stlNormalCentered1, 3*szerkol2, stlNormalCentered1, 3*szerkol2, stlNormalCentered1, 3*szerkol2, stlNormalCentered1, 3*szerkol2, stlNormalCentered1

int tblWynOkr1 = Tabela iOb1, 5, 4*szerkol2, stlNormalCentered1, 2*szerkol2, stlNormalCentered1
int tblWynOkr2 = Tabela iOb1, 5, 4*szerkol2, stlNormalCentered1, 2*szerkol2, stlNormalCentered1, 3*szerkol2, stlNormalCentered1, 3*szerkol2, stlNormalCentered1, 3*szerkol2, stlNormalCentered1, 3*szerkol2, stlNormalCentered1


int tblPodpis = Tabela iOb, 5, 10*szerkol2, stlNormalCentered1, 12*szerkol2, stlNormalCentered1
//KONIEC

int iPX,iPY

record rec_index
	int X
	int Y
	int NrStrony
	string Tekst[20]
	int iValid

	int sub PiszR(int iStrona)
		if NrStrony == iStrona then
			SetFont(tekstindex)
			print at X, Y-10, Tekst
		endif
	endsub

	int sub Ustaw(int iX, int iY, int iStrona, string sTekst)
		X = iX
		Y = iY
		NrStrony = iStrona
		Tekst = sTekst
		iValid = 1
	endsub
endrec

rec_index rIndexy(8)

record rec_firm
	int iPobrane
	string NIP[11]
	string REGON[15]
	string PESEL[12]
	string INNY_NR[14]
	int iLiczbaUbezpieczonych
	Summary loc_Summary
	date loc_dt_1
	date loc_dt_2
	date dt_ubezp
	date dt_ubezp1

	int sub DialogFirmy()
		string strBrakUbezp = "Brak wartoci elementu \"Liczba ubezpieczonych\""
		string strBrakUbezp1
		string sLiczbaUbezpieczonych
		int iBrakUbezp
		if iLiczbaUbezpieczonych == 0 then
			strBrakUbezp += ".\nProsz wpisa warto w polu edycyjnym"
			iBrakUbezp = 40
		else
			strBrakUbezp ="Wartoci elementu \"Liczba ubezpieczonych\""
		endif
		if iLiczbaUbezpieczonych != 0 && dt_ubezp.IS_NEQ(dt_ubezp1) then
			if dt_ubezp1.Valid() then
				strBrakUbezp += using "\nw dniu %s",dt_ubezp1.ToStr()
			endif
			strBrakUbezp += "."
			if dt_ubezp.Valid() then
				strBrakUbezp1 = using "Wyliczono warto w dniu %s - %d",dt_ubezp.ToStr(),iLiczbaUbezpieczonych
			else
				strBrakUbezp1 = using "Wyliczono warto - %d",iLiczbaUbezpieczonych
			endif
			iBrakUbezp = 40
		else
			if dt_ubezp1.Valid() then
				strBrakUbezp += using "\nw dniu %s",dt_ubezp1.ToStr()
			endif
		endif
//		if iBrakUbezp then
			Form "Liczba ubezpieczonych",270,140
				sLiczbaUbezpieczonych = using "%d",iLiczbaUbezpieczonych
				Text strBrakUbezp, 10,10,250,40
				if strBrakUbezp1 != "" then
					Text strBrakUbezp1, 10,35,250,20
				endif
				Edit "Liczba ubezpieczonych",sLiczbaUbezpieczonych, 135,50,50,20
				Button "&OK",30,80,80,25,OK
				Button "&Anuluj",140,80,80,25,ANULUJ
			if ExecForm() == ANULUJ then error ""
			iLiczbaUbezpieczonych = val(sLiczbaUbezpieczonych)
//		endif
		dt_rap.FromStr(sData)
	endsub

	int sub PobierzDane()
		int numergrupy=0
		long idprac_loc
		HrMGR hrmgr_loc1
		HRComponent hcomp_loc_1
		summary sum_loc
		HRValue hval_loc_1
		if !iPobrane then
			loc_dt_1 = dt_rap
			loc_dt_1.SubYears(1)
			loc_dt_1.set(loc_dt_1.Year,11,30)
			dt_ubezp1 = loc_dt_1
			loc_dt_2 = dt_rap
			loc_dt_2.SubMonths(1)
			loc_dt_2.SetLastDayOfMonth()
			buf = firma.NIP
			while delete "-" wend
			NIP = buf
			buf = firma.REGON
			while delete "-" wend
			REGON = buf
			if NIP == "" || REGON == "" then
				buf = firma.Pesel
				while delete "-" wend
				PESEL = buf
				if PESEL == "" then
					buf = firma.NrDokumentu
					while delete "-" wend
					INNY_NR = buf
				endif
			endif
			while iLiczbaUbezpieczonych == 0 && loc_dt_1.IS_LE(loc_dt_2)
//BS				loc_Summary.Clear()
//				loc_Summary.AddComponent(LICZBA_UBEZPIECZONYCH,SCF_AVG_NZERO_VALUE)
//				loc_Summary.PrepareSummary(0,SUMM_BY_ZUS_MONTH,1)
//				loc_Summary.AddPeriods(loc_dt_1,loc_dt_1, PER_TYP_MONTH_ZUS)
//				loc_Summary.DoSummary(0)
//				iLiczbaUbezpieczonych = loc_Summary.GetFloatValue(2,1)
				if !iLiczbaUbezpieczonych then
					loc_dt_1.AddMonths(1)
					loc_dt_1.SetLastDayOfMonth()
				else
					dt_ubezp = loc_dt_1
				endif
			wend
			DialogFirmy()
			iPobrane = 1
		endif
	endsub

	int sub PiszFirma()

		Tabela #tabNIP_REGON_Nag
			kolumna 1
				print "Piecz patnika skadek"
		koniec
		ramka szerRob,50
		koniec
		iPY = str.Pozycja(#Y)
		iPX = str.Pozycja(#X)
		Tabela #tabNIP_REGON_Nag
			kolumna 1
				print "NIP patnika skadek"
				rIndexy(1).Ustaw(iPX-20 + TextWidth("NIP patnika skadek"), iPY, 1, "1)")
			kolumna 3
				print "REGON patnika skadek"
				iPX += 11*szerkol + TextWidth("REGON patnika skadek")
				rIndexy(2).Ustaw(iPX+15, iPY, 1, "1)")
		koniec

		Tabela #tblPES_NIP
			for i = 1 to i > 10
				kolumna i
					print mid(NIP,i,1)
			next i
			kolumna 11
				print "X"
			for i = 12 to i > 25
				kolumna i
					j+= 1
					print mid(REGON,j,1)
			next i
		koniec

		ramka str.szer,10
		koniec

		Tabela #tabPES_NIP_Nag
			kolumna 1
				print "PESEL patnika skadek"
			kolumna 3
				print "Seria i nr. dowodu osobistego lub innego dokumentu potw. tosamo"
		koniec

		Tabela #tblPES_NIP
			j = 0
			for i = 1 to i > 11
				kolumna i
					print mid(PESEL,i,1)
			next i
			kolumna 12
				print "X"
			for i = 13 to i > 25
				kolumna i
					j+= 1
					print mid(INNY_NR,j,1)
			next i
		koniec

	endsub
endrec

rec_firm rFirma

record rec_okres
	date dt_od
	date dt_do
	string KodLiterowy[20]
	int iValid

	int Sub Ustaw(date dt_1, date dt_2, string kod)
		dt_od = dt_1
		dt_do = dt_2
		KodLiterowy = kod
		iValid = 1
	endsub

	int Sub Czysc()
		dt_od.Clear()
		dt_do.Clear()
		KodLiterowy = ""
		iValid = 0
	endsub

	int Sub PiszNieValid(int iTyp)
		if !iValid||iTyp then
			print pattern(30,".")
			PiszNieValid = 1
		endif
	endsub

	int Sub PiszR()
		Tabela #tblTrescOkres
			kolumna 2
				print "od dnia"
			kolumna 3
				if !PiszNieValid(0) then
					print dt_od.ToStr()
				endif
			kolumna 4
				print "do dnia"
			kolumna 5
				if !PiszNieValid(0) then
					print dt_do.ToStr()
				endif
			kolumna 6
				print "kod literowy"
			kolumna 7
				if !PiszNieValid(0) then
					print KodLiterowy
				endif
		koniec
	endsub
	int Sub PiszPustyR()
		Tabela #tblTrescOkres
			kolumna 2
				print "od dnia"
			kolumna 3
				PiszNieValid(1)
			kolumna 4
				print "do dnia"
			kolumna 5
				PiszNieValid(1)
			kolumna 6
				print "kod literowy"
			kolumna 7
				PiszNieValid(1)
		koniec
	endsub
endrec

record rec_zaswiadczenie
	string SeriaNumer[20]
	string TypChorobySzczegolnej[255]
	string RodzajDokumentu[255]
	date dt_dnia
	int iValid

	int Sub Ustaw(date dt_1, string nr, string sTyp, string sDokument)
		dt_dnia = dt_1
		SeriaNumer = nr
		TypChorobySzczegolnej = sTyp
		RodzajDokumentu = sDokument
		iValid = 1
	endsub

	int Sub Czysc()
		dt_dnia.Clear()
		SeriaNumer = ""
		TypChorobySzczegolnej = ""
		RodzajDokumentu = ""
		iValid = 0
	endsub

	int Sub PiszNieValid(int iTyp)
		if !iValid || iTyp then
			print pattern(30,".")
			PiszNieValid = 1
		endif
	endsub

	int Sub PiszR(int iKolejnosc)
		if iKolejnosc == 1 then
			Tabela #tblTrescZaswiadczenia, at #P,#G
		else
			Tabela #tblTrescZaswiadczenia, at #L,#D
		endif
			kolumna 1
				print "(seria, nr)"
			kolumna 2
				if !PiszNieValid(0) then
					print SeriaNumer
				endif
			kolumna 3
				print "wpyno do patnika skadek w dniu"
			kolumna 4
				if!PiszNieValid(0) then
					print dt_dnia.toStr()
				endif
		koniec
	endsub

	int Sub PiszPustyR(int iKolejnosc)
		if iKolejnosc == 1 then
			Tabela #tblTrescZaswiadczenia, at #P,#G
		else
			Tabela #tblTrescZaswiadczenia, at #L,#D
		endif
			kolumna 1
				print "(seria, nr)"
			kolumna 2
				PiszNieValid(1)
			kolumna 3
				print "wpyno do patnika skadek w dniu"
			kolumna 4
				PiszNieValid(1)
		koniec
	endsub

endrec

record rec_skladniki_wynagrodzenia
	date dt_do_umowy
	date dt_do_skladnika
	date dt_1
	date dt_2
	int rok
	int miesiac
	string kwartal[25]
	string okres_nazwa[30]
	int przepracowal
	int byl_zobowiazany
	string przyczyna[200]
	string st_wyn_mies[20]
	string zm_wyn_zas_mies[20]
	string zm_prem_mies[20]
	float procent_skladki
	string kwota_wyn[20]
	int iValid

	int sub Czysc()
		rok = 0
		miesiac = 0
		kwartal = ""
		okres_nazwa = ""
		przepracowal = 0
		byl_zobowiazany = 0
		przyczyna = ""
		st_wyn_mies = ""
		zm_wyn_zas_mies = ""
		zm_prem_mies = ""
		procent_skladki = 0
		kwota_wyn = ""
		dt_do_umowy.clear()
		dt_do_skladnika.clear()
		dt_1.clear()
		dt_2.clear()
		iValid = 0
	endsub

	int sub Ustaw1(int iRok, int iMiesiac, int iPrzepracowal, int iBylZobowiazany, string sPrzyczyna, string sStaleWyn, string sZmienneWyn, string sZmiennePremie, float fProcent)
		rok = iRok
		miesiac = iMiesiac
		przepracowal = iPrzepracowal
		byl_zobowiazany = iBylZobowiazany
		przyczyna = sPrzyczyna
		st_wyn_mies = sStaleWyn
		zm_wyn_zas_mies = sZmienneWyn
		zm_prem_mies = sZmiennePremie
		procent_skladki = fProcent
		iValid = 1
	endsub

	int sub Ustaw2(int iRok, string sKwartal, int iPrzepracowal, int iBylZobowiazany, string sKwota, string sPrzyczyna, float fProcent)
		rok = iRok
		kwartal = sKwartal
		przepracowal = iPrzepracowal
		byl_zobowiazany = iBylZobowiazany
		kwota_wyn = sKwota
		przyczyna = sPrzyczyna
		procent_skladki = fProcent
		iValid = 1
	endsub

	int sub Ustaw3(int iRok, int iPrzepracowal, int iBylZobowiazany, string sKwota, string sPrzyczyna, float fProcent)
		rok = iRok
		przepracowal = iPrzepracowal
		byl_zobowiazany = iBylZobowiazany
		kwota_wyn = sKwota
		przyczyna = sPrzyczyna
		procent_skladki = fProcent
		iValid = 1
	endsub

	int sub Ustaw4(string sOkres, int iPrzepracowal, int iBylZobowiazany, string sKwota, string sPrzyczyna, float fProcent)
		okres_nazwa = sOkres
		przepracowal = iPrzepracowal
		byl_zobowiazany = iBylZobowiazany
		kwota_wyn = sKwota
		przyczyna = sPrzyczyna
		procent_skladki = fProcent
		iValid = 1
	endsub

	int sub Ustaw5(string sKwota, date dt_do_1, date dt_do_2)
		dt_do_umowy = dt_do_1
		dt_do_skladnika = dt_do_2
		kwota_wyn = sKwota
		iValid = 1
	endsub

	int sub Pisz1(int typ)
		Tabela #tblWynMies7
		if !typ || !iValid then
			kolumna 1
				print " "
			koniec
		else
			kolumna 1
				print rok
			kolumna 2
				print miesiac
			kolumna 3
				print przepracowal
			kolumna 4
				print byl_zobowiazany
			kolumna 5
				print przyczyna
			kolumna 6
				print st_wyn_mies
			kolumna 7
				print zm_wyn_zas_mies
			kolumna 8
				print zm_prem_mies
			kolumna 9
				print using "%.2f", procent_skladki
			koniec
		endif
	endsub

	int sub Pisz2(int typ)
		Tabela #tblWynKwart3
		if !typ || !iValid then
			kolumna 1
				print " "
			koniec
		else
			kolumna 1
				print rok
			kolumna 2
				print kwartal
			kolumna 3
				print kwota_wyn
			kolumna 4
				print przepracowal
			kolumna 5
				print byl_zobowiazany
			kolumna 6
				print przyczyna
			kolumna 7
				print using "%.2f", procent_skladki
			koniec
		endif
	endsub

	int sub Pisz3(int typ)
		Tabela #tblWynRok2
		if !typ || !iValid then
			kolumna 1
				print " "
			koniec
		else
			kolumna 1
				print rok
			kolumna 2
				print kwota_wyn
			kolumna 3
				print przepracowal
			kolumna 4
				print byl_zobowiazany
			kolumna 5
				print przyczyna
			kolumna 6
				print using "%.2f", procent_skladki
			koniec
		endif
	endsub

	int sub Pisz4(int typ)
		Tabela #tblWynRok2
		if !typ || !iValid then
			kolumna 1
				print " "
			koniec
		else
			kolumna 1
				print okres_nazwa
			kolumna 2
				print kwota_wyn
			kolumna 3
				print przepracowal
			kolumna 4
				print byl_zobowiazany
			kolumna 5
				print przyczyna
			kolumna 6
				print using "%.2f", procent_skladki
			koniec
		endif
	endsub

	int sub Pisz5(int typ)
		if !typ || !iValid then
			print Pattern(200,".")
		else
			print using "- wynagrodzenie z tytuu umowy obowizujcej do dnia %s w kwocie %s rozliczono dnia %s ",dt_do_umowy.ToStr(),kwota_wyn,dt_do_skladnika.ToStr()
		endif
	endsub

	int sub Pisz6(int typ)
		Tabela #tblWynOkr2
		if !typ || !iValid then
			kolumna 1
				print " "
			koniec
		else
			kolumna 1
				print okres_nazwa
			kolumna 2
				print kwota_wyn
			kolumna 3
				print przepracowal
			kolumna 4
				print byl_zobowiazany
			kolumna 5
				print przyczyna
			kolumna 6
				print using "%.2f", procent_skladki
			koniec
		endif
	endsub

endrec

record rec_zm_wymiaru_czasu_pracy
	date dt_zmiany
endrec

int Sub Footer1()
	ramka #F
		DrawLine at 0,0,500,0,1,100
		print "\n1) Naley wpisa numery NIP i REGON, a jeeli patnikowi skadek nie nadano tych numerw albo jednego z nich, naley wpisa numer PESEL\n"
		print "lub seri i numer dowodu osobistego albo innego dokumentu potwierdzajcego tosamo.\n"
		print "2) W razie gdy ubezpieczonemu nie nadano numeru PESEL i NIP albo jednego z nich, naley wpisa seri i numer dowodu osobistego lub innego\n"
		print "dokumentu potwierdzajcego tosamo.\n"
		print "3) Niepotrzebne skrelic\n"
		setfont(tekstbold1)
		print "ZUS Z-3"
	 koniec
endsub

#include "pracZ3.sci"

Dialog()

rec_prac rPracownik
rFirma.PobierzDane()

int sub Pracownicy()
	PobierzPracZGrupyAktOkres()
	while idprac
		rFirma.PiszFirma()
		rPracownik.Czysc()
		rPracownik.Ustaw()
		rPracownik.PiszR()
		idprac = getNext(gRprac)
		if idprac then Strona marg,150,marg,200
	wend
endsub

Pracownicy()
PD()